// components/My_VerticalBox/index.js
Component({
    options: {
        addGlobalClass: true,
    },
    /**
     * 组件的属性列表
     */
    properties: {
        list: {
            type: Array
        },
        pageType: {
            type: String,
            value: 'home'
        }
    },
    lifetimes: {
        attached: function () {
            // 在组件实例进入页面节点树时执行
            console.log(this.data.list)
        },
        detached: function () {
            // 在组件实例被从页面节点树移除时执行
        },
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        /* 首页合作商家跳转 */
        homeToPage(e) {
            const {
                index
            } = e.currentTarget.dataset;
            wx.navigateTo({
                url: '/pages/storeMessage/storehomepage?id=' + this.data.list[index].tcooperationagentsid,
            })
        }
    }
})